Package org.flowable.common.engine.api.delegate

# Interface FlowableFunctionDelegate

All Known Subinterfaces:
  `FlowableMultiFunctionDelegate`

public interface FlowableFunctionDelegate
Interface for pluggable functions that can be used in the EL expressions

Author:
  Tijs Rademakers, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Method`
  `functionMethod()`
  Returns the method that is invoked by JUEL.
  `default Method`
  `functionMethod(String prefix, String localName)`
  `String`
  `localName()`
  The name of the method when used in an expression, like the second part of ${prefix:method()}.
  `default Collection<String>`
  `localNames()`
  All the names of the method when used in an expression, like the second part of ${prefix:method()}.
  `String`
  `prefix()`
  The prefix of the method when used in an expression, like the first part of ${prefix:method()}.
  `default Collection<String>`
  `prefixes()`
  All the prefixes of the method when used in an expression.

- ## Method Details

  - ### prefix

    String prefix()
    The prefix of the method when used in an expression, like the first part of ${prefix:method()}. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.

  - ### prefixes

    default Collection<String> prefixes()
    All the prefixes of the method when used in an expression. It allows one method to cover multiple prefixes. e.g. `${prefix:method()}` or {$code ${alternativePrefix:method()}}. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.

  - ### localName

    String localName()
    The name of the method when used in an expression, like the second part of ${prefix:method()}. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.

  - ### localNames

    default Collection<String> localNames()
    All the names of the method when used in an expression, like the second part of ${prefix:method()}. It allows one method to cover multiple local names. e.g. `${prefix:method()}` or `${prefix:alternativeMethod()}`. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.

  - ### functionMethod

    Method functionMethod() throws NoSuchMethodException
    Returns the method that is invoked by JUEL.
    Throws:
      `NoSuchMethodException`

  - ### functionMethod

    default Method functionMethod(String prefix, String localName) throws NoSuchMethodException
    Throws:
      `NoSuchMethodException`